jQuery( document ).ready( function( $ ) {

	jQuery('#ph_datepicker').val("");

	jQuery.ajax({

		type: 'GET',
		url: wc_checkout_params.ajax_url,
		data: {
			action: 'ph_get_estimated_date_for_addon',
		},
		success: function(result, status) {

			result 					= JSON.parse( result );

			let startDate 			= result.min_days;
			let endDate   			= result.max_days;
			let extraDays 			= result.extra_days;
			let displayFormat 		= result.date_format;
			let non_working_date 	= result.non_working_days;

			// Add 365 Days when Max Days is not set
			if ( endDate == 0 ) {
				endDate = 365;
			}

			if( extraDays ) {
				
				endDate = parseInt( extraDays ) + parseInt( endDate );
			}

			jQuery("#ph_datepicker").datepicker({

				dateFormat: displayFormat,
				minDate: 	startDate,
				maxDate: 	endDate,
				beforeShowDay: function (date) {
					for(i=0; i< non_working_date.length; i++){
						var day = date.getDay();
						return [ non_working_date.indexOf(day) == -1 ]
					}
				},

			});
		}
	});

});